# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
name = "human_name"
version = "1.0.0"
authors = ["David Judd <david.a.judd@gmail.com>"]
description = "A library for parsing and comparing human names"
documentation = "http://djudd.github.io/human-name"
license = "Apache-2.0"
repository = "https://github.com/djudd/human-name"
[profile.release]
lto = true
debug = true

[lib]
name = "human_name"
crate-type = ["rlib", "dylib"]

[[bin]]
name = "human_name"
doc = false
[dependencies.libc]
version = "0.2"

[dependencies.phf]
version = "0.8"
features = ["macros"]

[dependencies.serde]
version = "1.0"

[dependencies.serde_derive]
version = "1.0"

[dependencies.serde_json]
version = "1.0"

[dependencies.smallstr]
version = "0.1"

[dependencies.smallvec]
version = "0.6"

[dependencies.unicode-normalization]
version = "0.1"

[dependencies.unicode-segmentation]
version = "1.2"

[dependencies.unidecode]
version = "0.3"
[dev-dependencies.alloc_counter]
version = "0.0.2"

[features]
bench = []
default = ["name_eq_hash", "serialization"]
name_eq_hash = []
serialization = []
